org.apache.commons.dbcp2.cpdsadapter

## Class PStmtKeyCPDS

- java.lang.Object
- - org.apache.commons.dbcp2.PStmtKey
  - - org.apache.commons.dbcp2.cpdsadapter.PStmtKeyCPDS

- Deprecated.
  Use `PStmtKey`.

      @Deprecated
      public class PStmtKeyCPDS
      extends PStmtKey

  A key uniquely identifying a `PreparedStatement`.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PStmtKeyCPDS(String sql)` Deprecated.
    `PStmtKeyCPDS(String sql, int autoGeneratedKeys)` Deprecated.
    `PStmtKeyCPDS(String sql, int[] columnIndexes)` Deprecated.
    `PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency)` Deprecated.
    `PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Deprecated.
    `PStmtKeyCPDS(String sql, String[] columnNames)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.dbcp2.PStmtKey

      `createStatement, equals, getAutoGeneratedKeys, getCatalog, getColumnIndexes, getColumnNames, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getStmtType, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql)

      Deprecated.

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                              int autoGeneratedKeys)

      Deprecated.

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                              int resultSetType,
                              int resultSetConcurrency)

      Deprecated.

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                              int resultSetType,
                              int resultSetConcurrency,
                              int resultSetHoldability)

      Deprecated.

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                              int[] columnIndexes)

      Deprecated.

    - #### PStmtKeyCPDS

          public PStmtKeyCPDS(String sql,
                              String[] columnNames)

      Deprecated.

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.